Subject: bug#68648: 30.0.50; read-only-mode-hook's are not executed when buffer-read-only is t

From: Björn Bidar <[email-masked]>
Date: Thu, 01 Feb 2024 19:58:19 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Monnier <[email-masked]>
>> Cc: Stefan Kangas <[email-masked]>,  [email-masked],
>>   [email-masked]
>> Date: Thu, 01 Feb 2024 09:17:13 -0500
>> 
>> > Stefan & Stefan, any comments or opinions on this issue?  I' debating
>> > whether to do anything (and if so, what) about this, or close this bug
>> > as wontfix.
>> 
>> [ This a bug of my own making, when I decided to replace
>>   `toggle-read-only` with`read-only-mode`.  ]
>> 
>> I'd be in favor of replacing the `(setq buffer-read-only t)` with
>> `(read-only-mode 1)`, but it will require other changes: since calling
>> `read-only-mode` will handle `view-read-only`, it might make for a nice
>> simplification, but since the code is fairly complex over there, it
>> might also make things worse.
>
> I agree that it would be nice to clean this up, but since it isn't
> easy (which I, of course, noticed as well), I'm not sure it is worth
> our while, given that the problem is really minor.  Thus my doubts and
> my question.

I think trying to fix the problem if it so minor can take time.
However closing it as won't is not a good idea because of the ambiguity
of semantics here. It's easy to misunderstanding if you don't know.